/*
 * dbg_zones.h
 *
 * DSP-BIOS Bridge driver support functions for TI OMAP processors.
 *
 * Copyright (C) 2008 Texas Instruments, Inc.
 *
 * This package is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 *
 * THIS PACKAGE IS PROVIDED ``AS IS'' AND WITHOUT ANY EXPRESS OR
 * IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED
 * WARRANTIES OF MERCHANTIBILITY AND FITNESS FOR A PARTICULAR PURPOSE.
 */

/*
 *  ======== dbg_zones.h ========
 *  Purpose:
 *      Common debug zone definitions used for DDsp tracing. Currently the GT
 *      module uses a single debug zone to output debug messages.
 *


 *
 *  Public Functions:
 *
 *  Notes:
 *      Need to call DBG_INSTANTIATE_ZONES(initialZones, modname ,opt1, opt2)
 *      before using.
 *
 *      - initialZone(s) should typically be 0x0001 (GTTRC) for GT.
 *      - modname is a string such as "DDSP driver"
 *      - opt1 and opt2 are user defined zones e.g. "Reg0 Write" *
 *
 *! Revision History:
 *! ================
 *! 03-Feb-2000 rr: DBGPARAM fields changed.
 *! 02-Dec-1999 rr: DBG_SetGT define changed(for building retail and Debug)
 *! 01-Oct-1999 ag: Removed #include <windows.h>
 *! 26-Aug-1999 ag: Created.
 *!
 */

#ifndef _DBG_ZONES_H_
#define _DBG_ZONES_H_

#endif				/*ifndef _DBG_ZONES_H_ */
