/*
 *  Copyright 2004 by Texas Instruments Incorporated.
 *  All rights reserved. Property of Texas Instruments Incorporated.
 *  Restricted rights to use, duplicate or disclose this code are
 *  granted through contract.
 *
 *  @(#) DSP/BIOS Bridge 
 */
/*
 *  ============================================================================
 *   File    threadcreate.h
 *
 *   Path    $(TESTSUITEROOT)\OSAL\include
 * 
 *   Desc:
 *   ---------------------------------------------------------------------------
 *   Rev     1.0.0
 * 
 *   This computer program is copyright to Texas Instruments Incorporated.
 *   The program may not be used without the written permission
 *   of Texas Instruments Incorporated. or against the terms and conditions
 *   stipulated in the agreement under which this program has been
 *   supplied.
 *
 *   (c) Texas Instruments Incorporated 2003
 *
 *!   ============================================================================
 *!   Revision History
 *!
 *!   NOV xx, 2002    REF=ORG             Raghu
 *!      Original Version.
 *!   ============================================================================
 */

#include <os.h>
#include <dbapi.h>

typedef struct {
    HANDLE      hEvent;
    INT         id;
    UINT        uEventMask;
    UINT        uCount;
} THREADARGS;

typedef struct {
    DSP_HPROCESSOR  hProcessor;     /* Handle to processor. */
    struct DSP_UUID        hNodeID;        /* Handle to node ID GUID. */
    DSP_HNODE       hNode;          /* Handle to node. */
    HANDLE          hEvent;         /* Event handle to wait for messages */
} MSG_TASK ; 


typedef struct {
    DSP_HPROCESSOR  hProcessor;     /* Handle to processor. */
    struct DSP_UUID        hNodeID;        /* Handle to node ID GUID. */
    DSP_HNODE       hNode;          /* Handle to node. */
} MSG4_TASK ; 

typedef struct THREADARGS_MSG4 {
    MSG4_TASK    msgTask;
} THREADARGS_MSG4;



typedef struct THREADARGS_STRMTEST {
    UINT        cNotifications;
    int         iNode;          /* Index of node the thread is using */
    INT         nDir;           /* DIR_PCINPUT, DIR_PCOUTPUT, DIR_PCBOTH */
    ULONG       ulBufSize;
    ULONG       cBuffers;
    ULONG       cNodes;
    UINT        nErrorThreshold;
    BOOL        fSpeed;
    BOOL        fUserWaits;
    BOOL        fPrintArgs;
    ULONG       ulSmBufSize;   /* SM buffer size*/
    INT         nStrmMode;     /* stream mode: deflt */
} THREADARGS_STRMTEST;

