/*
 *  Copyright 2004 by Texas Instruments Incorporated.
 *  All rights reserved. Property of Texas Instruments Incorporated.
 *  Restricted rights to use, duplicate or disclose this code are
 *  granted through contract.
 *
 *  @(#) DSP/BIOS Bridge 
 */
/*
 *   File    kern_testsuite.h
 *
 *   Path    $(TESTSUITEROOT)\TestKern\
 *   ---------------------------------------------------------------------------
 *   Rev     1.0.0
 * 
 *   This computer program is copyright to Texas Instruments Incorporated.
 *   The program may not be used without the written permission
 *   of Texas Instruments Incorporated. or against the terms and conditions
 *   stipulated in the agreement under which this program has been
 *   supplied.
 *
 *   (c) Texas Instruments Incorporated 2003
 *   ---------------------------------------------------------------------------
 *
 *! Revision History
 *! ================
 *! xx-Feb-2003 swa: Introduced to test the Kernel API Feature
 *!
 */

#ifndef	_LINUX_DRIVER_H_
#define _LINUX_DRIVER_H_

/* Prototypes for all functions in this driver */
int     api_test_driver_init(void);		/* Initialize driver */
void    api_test_driver_exit(void);		/* Opposite of initialize */
int     api_test_driver_open(struct inode *, struct file *);		/* Open */
int     api_test_driver_release(struct inode *, struct file *);	/* Release */
ssize_t api_test_driver_read(struct file *, char *, size_t, loff_t *);	/* Read */
ssize_t api_test_driver_write(struct file *,const char *,size_t,loff_t *); /* Write */
int api_test_driver_ioctl (struct inode *ip, struct file *filp, int tmp_argc, char **tmp_argv);

#endif /* ifndef _LINUX_DRIVER_H_ */
