
LOG_ANALYSIS=0;
LOG_API=0;
LOG_BEHAVIOUR=0;
LOG_STRESS=0;
LOG_SR=0;
HELP=0;

case $# in
	1) 
		DIR="$1"
		if [ "$DIR" = "." ]; then
			DIR="$PWD"
		fi
		echo "Searching for test case logs on $DIR"
		
		if test -f $DIR/analysis.log ; then 
			LOG_ANALYSIS=1;
			echo "Found analysis.log"
		fi

		if test -f $DIR/api.log ; then 
			LOG_API=1;
			echo "Found api.log"
		fi
		
		if test -f $DIR/stress.log ; then 
			LOG_STRESS=1;
			echo "Found stress.log"
		fi
		
		if test -f $DIR/behaviour.log ; then 
			LOG_BEHAVIOUR=1;
			echo "Found behaviour.log"
		fi
		
#		if test -f $DIR/srtest.log ; then 
#			LOG_SR=1;
#			echo "Found srtest.log"
#		fi

		;;

	*)
		echo "USAGE:"; 
		echo "	./bridge_checklogs.sh DIRECTORY";
		exit 1;
		;;
esac


if [ "$LOG_ANALYSIS" = "1" ]; then 
echo "**analysis**"
	if test -f ./ANALYSIS_TESTREPORT.xls; then 
		rm -f ./ANALYSIS_TESTREPORT.xls
	fi
		./greploginfoscript_analysis.sh $DIR/analysis.log  || { echo "Error greploginfoscript_analysis not found or failed."; exit 1; }	
fi

if [ "$LOG_API" = "1" ]; then 
echo "**api**"
	if test -f ./API_TESTREPORT.xls; then 
		rm -f ./API_TESTREPORT.xls
	fi
		./greploginfoscript_api.sh $DIR/api.log  || { echo "Error greploginfoscript_api not found or failed."; exit 1; }	
fi

if [ "$LOG_STRESS" = "1" ]; then 
echo "**stress**"
	if test -f ./STRESS_TESTREPORT.xls; then 
		rm -f ./STRESS_TESTREPORT.xls
	fi
		./greploginfoscript_stress.sh $DIR/stress.log  || { echo "Error greploginfoscript_stress not found or failed."; exit 1; }	
fi


if [ "$LOG_BEHAVIOUR" = "1" ]; then 
echo "**behaviour**"
	if test -f ./BEHAVIOUR_TESTREPORT.xls; then 
		rm -f ./BEHAVIOUR_TESTREPORT.xls
	fi
		./greploginfoscript_behaviour.sh $DIR/behaviour.log  || { echo "Error greploginfoscript_behaviour not found or failed."; exit 1; }	
fi


if [ "$LOG_SR" = "1" ]; then 
echo "**SR**"
	if test -f ./SRTEST_TESTREPORT.xls; then 
		rm -f ./SRTEST_TESTREPORT.xls
	fi
		./greploginfoscript_srtest.sh $DIR/srtest.log  || { echo "Error greploginfoscript_srtest not found or failed."; exit 1; }	
fi



# FAIL REPORT FEATURE WILL BE ADDED SOON

# SEND MAIL FEATURE WILL BE ADDED SOON

echo "##### BRIDGE_CHECKLOGS FINISHED ######";
exit 0;
