
DO_ANALYSIS=0;
DO_API=0;
DO_BEHAVIOUR=0;
DO_STRESS=0;
DO_LOGS=0;
DO_SR=0;
HELP=0;

case $# in
	0) 
		echo "##########################################################"; 
		echo "# Running Analysis, API, Stress and Behaviour test suite #";
		echo "#               logs will NOT be generated               #";
		echo "##########################################################";
		DO_ANALYSIS=1;
		DO_API=1;
		DO_BEHAVIOUR=1;
		DO_STRESS=1;
		DO_SR=1;
		;;
	1) 
		case $1 in
			-l) 
				echo "##########################################################"; 
				echo "#       Invalid use of -l     please launch help:        #";
				echo "#                ./bridge_testsuite.sh -h                #";
				echo "##########################################################";
				exit 1;
				;;

			-all)
				echo "##########################################################"; 
				echo "# Running Analysis,API,Stress,Behaviour & SRtest script  #";
				echo "#                 logs WILL be generated                 #";
				echo "##########################################################";
				DO_ANALYSIS=1;
				DO_API=1;
				DO_BEHAVIOUR=1;
				DO_STRESS=1;
				DO_LOGS=1;
				DO_SR=1;
				;;
			
			-an) DO_ANALYSIS=1 ;;
			
			-ap) DO_API=1 ;;
			
			-be) DO_BEHAVIOUR=1 ;;
			
			-st) DO_STRESS=1 ;;
			
			-sr) DO_SR=1 ;;
			
			-h) HELP=1 ;;
			
			*) { echo "Unknow option, use -h for help." ; exit 1; } ;;
		esac
		;;
	*)
		for I in $@; do
		 case $I in 
			-an) DO_ANALYSIS=1 ;;
			-ap) DO_API=1 ;;
			-be) DO_BEHAVIOUR=1 ;;
			-st) DO_STRESS=1 ;;
			-sr) DO_SR=1 ;;
			 -l) DO_LOGS=1 ;;
			 -h) HELP=1 ;;
			  *) { echo "Unknow option, use -h for help." ; exit 1; } ;;
		 esac
		done
		;;
esac


if [ "$HELP" = 1 ]; then
	echo "Params:";
	echo "-an Launch analysis";
	echo "-ap Launch api";
	echo "-be Launch behaviour";
	echo "-st Launch stress";
	echo "-sr Launch sr test";
	echo "-l  Generate logs";
	echo "";
	echo "example: ./bridge_testsuite.sh -ap -st -l";
	echo "(To launch API test and STRESS scripts with logs)";
	exit 0;
fi


if [ "$DO_ANALYSIS" = "1" ]; then 
	echo "###########################"; 
	echo "#    Running Analysis.    #";
	echo "###########################";
	if test -f ./analysis.log ; then 
		rm -f ./analysis.log
	fi
	if [ "$DO_LOGS" = "1" ]; then
	echo "###########################"; 
	echo "# Generating analysis.log #";
	echo "###########################";
		./analysis_batch 3430 >analysis.log 2>&1 || { echo "Error analysis_batch not found or failed."; exit 1; }
	else
		./analysis_batch 3430 || { echo "Error analysis_batch not found or failed."; exit 1; }
	fi
fi


if [ "$DO_API" = "1" ]; then
	echo "###########################"; 
	echo "#       Running Api.      #";
	echo "###########################";
	if test -f ./api.log; then
		rm -f ./api.log
	fi
	if [ "$DO_LOGS" = "1" ]; then
	echo "###########################"; 
	echo "#    Generating api.log   #";
	echo "###########################";
		./api_batch 3430 >api.log 2>&1 || { echo "Error api_batch not found or failed."; exit 1; }
	else
		./api_batch 3430 || { echo "Error api_batch not found or failed."; exit 1; }
	fi
fi


if [ "$DO_STRESS" = "1" ]; then
	echo "###########################"; 
	echo "#      Running Stress     #";
	echo "###########################";
	if test ./stress.log; then
		rm -f ./stress.log
	fi
	if [ "$DO_LOGS" = "1" ]; then
	echo "###########################"; 
	echo "#  Generating stress.log  #";
	echo "###########################";
		./stress_batch 3430 > stress.log 2>&1 || { echo "Error samples script not found or failed."; exit 1; }
	else
		./stress_batch 3430 || { echo "Error samples script not found or failed."; exit 1; }
	fi
fi


if [ "$DO_BEHAVIOUR" = "1" ]; then
	echo "###########################"; 
	echo "#   Launching Behaviour.  #";
	echo "###########################";
	if test -f ./behaviour.log; then
		rm -f ./behaviour.log
	fi
	if [ "$DO_LOGS" = "1" ]; then
	echo "###########################"; 
	echo "#   Generating Behaviour  #";
	echo "###########################";
		./behaviour_batch 3430 >behaviour.log 2>&1 || { echo "Error behaviour not found or failed."; exit 1; }
	else
		./behaviour_batch 3430 || { echo "Error behaviour not found or failed."; exit 1; }
	fi
fi


if [ "$DO_SR" = "1" ]; then 
	echo "###########################"; 
	echo "#    Running SRTEST.    #";
	echo "###########################";
	if test -f ./srtest.log ; then 
		rm -f ./srtest.log
	fi
	if [ "$DO_LOGS" = "1" ]; then
	echo "###########################"; 
	echo "# Generating srtest.log #";
	echo "###########################";

	if test -f ./srtemp.log ; then 
		rm -f ./srtemp.log
	fi
	echo "./srtest_automation U EXT 1 NODL LOAD 3430 PCPY ALL" > srtemp;
	chmod +x srtemp;
	./srtemp > srtest.log 2>&1 || { echo "Error analysis_batch not found or failed."; exit 1; }
	else
		./srtest_automation U EXT 1 NODL LOAD 3430 PCPY ALL || { echo "Error analysis_batch not found or failed."; exit 1; }
	fi
fi


echo "##### BRIDGE_TESTSUITE FINISHED ######";
exit 0;
