#!/bin/bash

DSPBRIDGE="/vobs/SDS/Source/Bridge/dsp"

if test ! -d $DSPBRIDGE; then 
	{ echo "DSP Bridge Directory not found."; exit 1; }
fi

export DEPOT=/data/omapts/linux/dsp-tc 
export MMCODEC_ROOT=/vobs/wtbu/CSSD_MM_Releases 
export DSPMAKEROOT=/vobs/wtbu/OMAPSW_DSP/make 
export DBS_BRIDGE_DIR_C64=/vobs/SDS/Source/Bridge/dsp 
export DBS_SABIOS_DIR_C64=/data/omapts/linux/dsp-tc/BIOS-5.32.02/bios_5_32_02
export DBS_CGTOOLS_DIR_C64=/data/omapts/linux/dsp-tc/cgt6x-6.0.7 
export DBS_FC=/vobs/SDS/Source/Bridge/dsp/bdsptools/framework_components_1_10_04/packages-bld 


cd $DSPBRIDGE

#gmake -f gmakefile .clean 
#gmake -f gmakefile .bridge_samples 
#*******************************************************
echo "###########################"; 
echo "# Compiling Master Config #";
echo "###########################";

mkdir -p /vobs/wtbu/OMAPSW_DSP/include

cd /vobs/wtbu/OMAPSW_Loadbuild/tools/scm/build_tools
perl mcl_parser.pl -fr=Linux_12.x -fn=../RelCfg/Master_Configurable_List.csv -od=badwindows

mv badwindows\\MasterConfig.h MasterConfig.h 
mv badwindows\\MasterConfig.inc MasterConfig.inc 
mv badwindows\\MasterConfig.pl MasterConfig.pl 
mv badwindows\\MasterConfig.tci MasterConfig.tci 
cp MasterConfig.* /vobs/wtbu/OMAPSW_DSP/include/

#********************************************************

cd /vobs/wtbu/OMAPSW_DSP/system/baseimage 
sed -e 's%\\%\/%g' makefile > makefile.linux 
gmake -f makefile.linux clobber 
gmake -f makefile.linux build=omap3430debug 



